CHAM64::Dec Class Reference

Decryption transformation. More...

Inheritance diagram for CHAM64::Dec:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
Public Member Functions inherited from BlockCipherImpl< CHAM64_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

Decryption transformation.

Dec provides implementation for decryption transformation. All key and block sizes are supported.

Since
  Crypto++ 8.0

Definition at line 97 of file cham.h.

The documentation for this class was generated from the following files:

- cham.h
- cham.cpp